# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils

DESCRIPTTON="A small implementation of AVL trees"
HOMEPAGE="http://ftp.debian.org/debian/pool/main/liba/libavl"
SRC_URI="http://ftp.debian.org/debian/pool/main/liba/libavl/${PN}_${PV}.orig.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND="net-misc/curl"
RDEPEND="${DEPEND}"

RESTRICT="mirror"
S=${WORKDIR}/avl-${PV}


src_unpack() {
	unpack ${A}
	cd "${S}"
	epatch "${FILESDIR}"/${PN}_${PV}-3.diff.gz
}

src_compile() {
	cd ${S}
	emake 
}

src_install() {
	emake DESTDIR="${D}" install || die "Install failed"
	dodoc README || die
}

